MCP Tools Reference: redis.googleapis.com

Tool: get_cluster_certificate_authority

Get the certificate authority for a cluster in Memorystore for Redis Cluster.

The following sample demonstrate how to use curl to invoke the get_cluster_certificate_authority MCP tool.

Curl Request
                  
curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_cluster_certificate_authority",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for GetClusterCertificateAuthority.

GetClusterCertificateAuthorityRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Redis cluster certificate authority resource name using the form: projects/{project_id}/locations/{location_id}/clusters/{cluster_id}/certificateAuthority where location_id refers to a Google Cloud region.

Output Schema

Redis cluster certificate authority

CertificateAuthority

JSON representation
{
  "name": string,

  // Union field server_ca can be only one of the following:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of list of possible types for union field server_ca.
}
Fields
name

string

Identifier. Unique name of the resource in this scope including project, location and cluster using the form: projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority

Union field server_ca. server ca information server_ca can be only one of the following:
managedServerCa

object (ManagedCertificateAuthority)

ManagedCertificateAuthority

JSON representation
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
Fields
caCerts[]

object (CertChain)

The PEM encoded CA certificate chains for redis managed server authentication

CertChain

JSON representation
{
  "certificates": [
    string
  ]
}
Fields
certificates[]

string

The certificates that form the CA chain, from leaf to root order.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌